Skip to main content
POST

Headers

Idempotency-Key
string
required

A client-generated idempotency key to ensure operations are only processed once even if a client retries the operation. The V4 UUID format, as defined in RFC 4122, is recommended to avoid collisions but is not required.

Maximum string length: 255

Path Parameters

refundRequestId
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Body

application/json

Request body for denying a refund request.

reason
string
required

Reason for denying the refund request.

Maximum string length: 500

Response

Ok. The operation succeeded.

Represents a refund request from a customer.

id
string
required

Unique identifier for the refund request.

appointmentId
string
required

The appointment this refund request is for.

requestedAmount
string<decimal>
required

The amount requested for refund.

Pattern: ^-?(0|[1-9][0-9]*)\.[0-9][0-9]$
Example:

"456.78"

reason
string
required

Customer's reason for requesting the refund.

Maximum string length: 500
state
enum<string>
required

The state of the refund request.

Available options:
pending,
approved,
denied,
processed
createdAt
string<date-time>
required

The date-time when this resource was created, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

updatedAt
string<date-time>
required

The date-time when this resource was updated, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

approvedAmount
string<decimal>

The amount approved for refund, if approved.

Pattern: ^-?(0|[1-9][0-9]*)\.[0-9][0-9]$
Example:

"456.78"

responseNote
string

Note from the approver/denier, if provided.

Maximum string length: 500
refundPaymentId
string

If approved and processed, the ID of the resulting refund payment.